
Installer - Feature #2015

Support for external CA to puppetmaster

12/05/2012 12:05 PM - Dominic Cleal

Status: New   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When using Foreman as part of Katello, the intention is to use Katello and Candlepin's existing CA for Puppet communication, then

to disable the Puppet CA service.  The puppet-puppet module needs to support this configuration.

Related issues:

Related to Installer - Feature #3710: Configure Kerberos/mod_auth_kerb with a... Resolved

History

#1 - 10/24/2013 11:36 AM - Duncan Innes

Would this be something that could also help in the use of Dogtag (via FreeIPA) instead of the Puppet CA service?  I have a few too many CA's

floating around and would like to start pruning.

#2 - 11/21/2013 01:55 PM - Dominic Cleal

- Status changed from Assigned to New

- Assignee deleted (Dominic Cleal)

Yep, we'd quite like that as an option Duncan.

#3 - 11/21/2013 01:57 PM - Dominic Cleal

- Related to Feature #3710: Configure Kerberos/mod_auth_kerb with a keytab for Foreman web UI added
